Subject: bug#13167: 24.3.50; C-x right C-x left interferes with buffer order

From: Juri Linkov <[email-masked]>
Date: Fri, 14 Dec 2012 02:45:15 +0200

> Why do you never quit the *Messages* buffer in your scenario?

I can't quit the *Messages* buffer.  Typing `q' inserts the character
`q' to the *Messages* buffer.  But it's good that *Messages* is writable.
The same problem can occur with any other writable buffer.

> The semantics of C-x left and C-x right is that you want (or
> at least don't mind) to switch back to the old buffer.

Typing `C-x left' in the *Messages* buffer in the aforementioned scenario adds
the *Messages* buffer to both (window-prev-buffers) and to (window-next-buffers).
This looks doubtful.  Is this intentional?

> The semantics of `quit-window' is that you don't want to switch back
> to the old buffer soon.

I thought that when a buffer is displayed for the first time
(e.g. with `C-h C-n', or `v' in Dired mode), it sets up `quit-window',
so `q' will be able to return to the buffer that initiated its display.
I didn't expect that `C-x right C-x left' affects `quit-window'.